org.apache.solr.util

## Class NumberUtils

- java.lang.Object
- - org.apache.solr.util.NumberUtils

-     public class NumberUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `double2sortableStr(double val)`
    `static String` | `double2sortableStr(String val)`
    `static String` | `float2sortableStr(float val)`
    `static String` | `float2sortableStr(String val)`
    `static String` | `int2sortableStr(int val)`
    `static int` | `int2sortableStr(int val, char[] out, int offset)`
    `static String` | `int2sortableStr(String val)`
    `static String` | `long2sortableStr(long val)`
    `static int` | `long2sortableStr(long val, char[] out, int offset)`
    `static String` | `long2sortableStr(String val)`
    `static String` | `readableSize(long size)`
    `static double` | `SortableStr2double(BytesRef val)`
    `static double` | `SortableStr2double(String val)`
    `static String` | `SortableStr2doubleStr(String val)`
    `static float` | `SortableStr2float(BytesRef val)`
    `static float` | `SortableStr2float(String val)`
    `static String` | `SortableStr2floatStr(String val)`
    `static String` | `SortableStr2int(BytesRef val)`
    `static int` | `SortableStr2int(BytesRef sval, int offset, int len)`
    `static String` | `SortableStr2int(String val)`
    `static int` | `SortableStr2int(String sval, int offset, int len)`
    `static String` | `SortableStr2long(BytesRef val)`
    `static long` | `SortableStr2long(BytesRef sval, int offset, int len)`
    `static String` | `SortableStr2long(String val)`
    `static long` | `SortableStr2long(String sval, int offset, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberUtils

          public NumberUtils()

  - ### Method Detail

    - #### readableSize

          public static String readableSize(long size)

    - #### int2sortableStr

          public static String int2sortableStr(int val)

    - #### int2sortableStr

          public static String int2sortableStr(String val)

    - #### SortableStr2int

          public static String SortableStr2int(String val)

    - #### SortableStr2int

          public static String SortableStr2int(BytesRef val)

    - #### long2sortableStr

          public static String long2sortableStr(long val)

    - #### long2sortableStr

          public static String long2sortableStr(String val)

    - #### SortableStr2long

          public static String SortableStr2long(String val)

    - #### SortableStr2long

          public static String SortableStr2long(BytesRef val)

    - #### float2sortableStr

          public static String float2sortableStr(float val)

    - #### float2sortableStr

          public static String float2sortableStr(String val)

    - #### SortableStr2float

          public static float SortableStr2float(String val)

    - #### SortableStr2float

          public static float SortableStr2float(BytesRef val)

    - #### SortableStr2floatStr

          public static String SortableStr2floatStr(String val)

    - #### double2sortableStr

          public static String double2sortableStr(double val)

    - #### double2sortableStr

          public static String double2sortableStr(String val)

    - #### SortableStr2double

          public static double SortableStr2double(String val)

    - #### SortableStr2double

          public static double SortableStr2double(BytesRef val)

    - #### SortableStr2doubleStr

          public static String SortableStr2doubleStr(String val)

    - #### int2sortableStr

          public static int int2sortableStr(int val,
                                            char[] out,
                                            int offset)

    - #### SortableStr2int

          public static int SortableStr2int(String sval,
                                            int offset,
                                            int len)

    - #### SortableStr2int

          public static int SortableStr2int(BytesRef sval,
                                            int offset,
                                            int len)

    - #### long2sortableStr

          public static int long2sortableStr(long val,
                                             char[] out,
                                             int offset)

    - #### SortableStr2long

          public static long SortableStr2long(String sval,
                                              int offset,
                                              int len)

    - #### SortableStr2long

          public static long SortableStr2long(BytesRef sval,
                                              int offset,
                                              int len)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.